package cn.iocoder.yudao.module.order.convert.orderConsignee;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.order.vo.orderConsignee.*;
import cn.iocoder.yudao.module.order.dal.dataobject.orderConsignee.OrderConsigneeDO;

/**
 * 订单收货人信息 Convert
 * @author 系统管理员
 */
@Mapper
public interface OrderConsigneeConvert {
    /*****转换MapStruct*****/
    OrderConsigneeConvert INSTANCE = Mappers.getMapper(OrderConsigneeConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    OrderConsigneeDO convert(OrderConsigneeCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    OrderConsigneeDO convert(OrderConsigneeUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    OrderConsigneeBackVO convert(OrderConsigneeDO bean);

    /***
     * 返回VO转实体
     * @param bean
     * @return
     */
    OrderConsigneeDO convert(OrderConsigneeBackVO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<OrderConsigneeBackVO> convertList(List<OrderConsigneeDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<OrderConsigneeBackVO> convertPage(PageResult<OrderConsigneeDO> page);
}
